classification
Title: sparc/ffi.c:440 error: 'asm' undeclared
Type: compile error Stage: resolved
Components: ctypes Versions: Python 3.6
process
Status: closed Resolution: third party
Dependencies: Superseder:
Assigned To: Nosy List: phantal, xdegaye, yan12125
Priority: normal Keywords:

Created on 2017-01-13 17:27 by phantal, last changed 2017-01-27 19:05 by xdegaye. This issue is now closed.

Messages (3)
msg285428 - (view) Author: Brian Vandenberg (phantal) Date: 2017-01-13 17:27
When building pythong 3.6.0 on solaris 10/sparc I'm seeing the following error:

Modules/_ctypes/libffi/src/sparc/ffi.c:440:8: error: 'asm' undeclared (first use in this function)
(...)

If I force it to use -std=gnu99 then it seems to compile fine.
msg285481 - (view) Author: Chih-Hsuan Yen (yan12125) * Date: 2017-01-14 13:45
Since Python 3.6, building ctypes with bundled libffi is deprecated. Please build libffi separately and configure CPython with --with-system-ffi.

This issue can be closed as third-party.
msg286381 - (view) Author: Xavier de Gaye (xdegaye) * (Python triager) Date: 2017-01-27 19:05
See also msg286365.
History
Date User Action Args
2017-01-27 19:05:43xdegayesetstatus: open -> closed

nosy: + xdegaye
messages: + msg286381

resolution: third party
stage: resolved
2017-01-14 13:45:04yan12125setnosy: + yan12125
messages: + msg285481
2017-01-13 17:27:39phantalcreate